API ReferenceapianalyticsGET /v1/ai-spend/forecast

GET /v1/ai-spend/forecast

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • days (integer) —

Responses

200 AI spend forecast

{
  "type": "object",
  "properties": {
    "observed_days": {
      "type": "integer"
    },
    "observed_cost_usd": {
      "type": "string"
    },
    "average_daily_cost_usd": {
      "type": "string"
    },
    "forecast_monthly_cost_usd": {
      "type": "string"
    }
  },
  "required": [
    "observed_days",
    "observed_cost_usd",
    "average_daily_cost_usd",
    "forecast_monthly_cost_usd"
  ]
}

400 Invalid input

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://analytics.platform.loop.health/v1/ai-spend/forecast \
  -H "Authorization: Bearer $ACCESS_TOKEN"